Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::ParentClasses Class Reference

Gives a list of parent classes of a class. More...

`#include <class.h>`

Collaboration diagram for sc::ParentClasses:

[legend]
List of all members.

## Public Methods
| ParentClasses ()
void | init (const char *)
| ~ParentClasses ()
ParentClass & | parent (int i)
const ParentClass & | parent (int i) const
ParentClass & | operator[] (int i)
const ParentClass & | operator[] (int i) const
int | n () const
void | change_parent (ClassDesc *oldcd, ClassDesc *newcd)

## Detailed Description

Gives a list of parent classes of a class.

The documentation for this class was generated from the following file:

- class.h